1

I am trying to install cuda10.1 on ubuntu18.04 following this guide: https://medium.com/@exesse/cuda-10-1-installation-on-ubuntu-18-04-lts-d04f89287130. The following command fails with connection timed out error.

sudo apt-key adv --fetch-keys http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64/7fa2af80.pub

I tried running with -E after exporting proxies, same issue. I also tried the following:

sudo apt-key adv --keyserver-options http-proxy=http:*.*.*.*:**** --fetch-keys http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64/7fa2af80.pub

but it fails with the following configuration error:

gpg: requesting key from 'http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64/7fa2af80.pub' gpg: WARNING: unable to fetch URI http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64/7fa2af80.pub: Configuration error

How do I fix this?

1 Answer 1

1

The following command you'd mentioned in your answer should work perfectly:

sudo apt-key adv --keyserver-options http-proxy=http:*.*.*.*:**** --fetch-keys  http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64/7fa2af80.pub

If it does not work then you might need to do the following steps (which helped me):

Write on the terminal:

sudo nano /etc/environment

Paste the following at the end:

export http_proxy="http://example.proxy.server:8080"
export https_proxy="https://example.proxy.server:8080"
export no_proxy="localhost.127.0.0.1,::1,localhost"

Then save and exit (ctrl+x, y, and enter).

Again, write the following on the terminal:

nano ~/.profile

Then paste in the same thing as above, and save and exit (ctrl+x, y, and enter):

export http_proxy="http://example.proxy.server:8080"
export https_proxy="https://example.proxy.server:8080"
export no_proxy="localhost.127.0.0.1,::1,localhost"

Then, maybe you could try this command again:

sudo apt-key adv --keyserver-options http-proxy=http:*.*.*.*:**** --fetch-keys  http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64/7fa2af80.pub

You have to be very careful to see that there's no typo in the HTTP/HTTPS proxy, otherwise you'd get the same error you're facing.

Reference:

  1. https://www.youtube.com/watch?v=cq4TYmogon0&lc=UgyOQytoh3iCnKaFXOl4AaABAg.9Pa3t0hfQkQ9Pa4LQoCSdJ

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.